package com.hzya.frame.seeyon.cap4.form.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * @Description masterTable—record—fields的结构
 * @Author xiangerlin
 * @Date 2024/1/8 11:32
 **/
public class RecordFieldDTO {
    @JSONField(ordinal = 1)
    private String name;//数据域名称 ,fieldxxxx
    @JSONField(ordinal = 2)
    private String value;//数据值（优先）
    @JSONField(ordinal = 3)
    private String showValue;//显示值

    public RecordFieldDTO() {

    }

    public RecordFieldDTO(String name, String value, String showValue) {
        this.name = name;
        this.value = value;
        this.showValue = showValue;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getShowValue() {
        return showValue;
    }

    public void setShowValue(String showValue) {
        this.showValue = showValue;
    }
}
